extends LimboState

func _setup() -> void:
	self.add_event_handler(&"completed_jump",_handler_completed_jump)

func _enter() -> void:
	agent.locomotion_comp.start_climb_jump()

func _update(delta: float) -> void:
	if agent.velocity.y >= 0:
		get_root().dispatch(self.EVENT_FINISHED)

func _exit() -> void:
	agent.locomotion_comp.stop_climb_jump() 

func _handler_completed_jump() -> bool:
	get_root().dispatch(self.EVENT_FINISHED)
	return true
